%define  unsigned 1
%if %{unsigned}
%define dev 1
%endif

Name:           olpc-firmware-%{olpc_firmware_version_prefix}
Version:        %{olpc_firmware_version_suffix}
Release:        1%{?dev:.unsigned}
Summary:        boot firmware for the XO
BuildArch:      noarch

Group:          System Environment/Base
License:        MIT/BSD+condition
URL:            http://wiki.laptop.org/go/Firmware
%if %{unsigned}
Source0:        http://dev.laptop.org/pub/firmware/%{olpc_firmware_version}/%{olpc_firmware_version}.rom
Source1:        http://dev.laptop.org/pub/firmware/%{olpc_firmware_version}/%{olpc_firmware_version}.rom.sha1
%else
Source0:        http://dev.laptop.org/pub/firmware/%{olpc_firmware_version}/bootfw%{bundle_suffix}.zip
Source1:        http://dev.laptop.org/pub/firmware/%{olpc_firmware_version}/bootfw%{bundle_suffix}-%{olpc_firmware_version}.zip.sha1
%endif
# comes from http://tracker.coreboot.org/trac/openfirmware/browser/README?format=txt
Source2:        README.openfirmware.%{bundle_suffix}
Source3:        jingle.wav
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:      olpc-firmware

%description
Open Firmware for the OLPC %{olpc_model}
%prep
cp -p %{SOURCE0} .
cp -p %{SOURCE2} .
cp -p %{SOURCE3} .
sha1sum -c %{SOURCE1}
%if %{unsigned}
cp -p %{SOURCE0} data.img
zip -n .img bootfw%{bundle_suffix}.zip data.img
%endif


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/boot/
install -m 0644 bootfw%{bundle_suffix}.zip $RPM_BUILD_ROOT/boot/bootfw%{bundle_suffix}.zip
install -m 0644 jingle.wav $RPM_BUILD_ROOT/boot/jingle.wav

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.openfirmware.%{bundle_suffix}
/boot/bootfw%{bundle_suffix}.zip
/boot/jingle.wav

%changelog
%{olpc_changelog_header}
- http://wiki.laptop.org/go/OLPC_Firmware_%{olpc_firmware_version}
- http://wiki.laptop.org/go/Firmware#%{olpc_model}
